---
before_script:
  - duneci-install-module https://gitlab.dune-project.org/core/dune-common.git
  - duneci-install-module https://gitlab.dune-project.org/core/dune-geometry.git
  - duneci-install-module https://gitlab.dune-project.org/core/dune-localfunctions.git
  - duneci-install-module https://gitlab.dune-project.org/staging/dune-uggrid.git
  - duneci-install-module https://gitlab.dune-project.org/core/dune-grid.git
  - duneci-install-module https://gitlab.dune-project.org/core/dune-istl.git
  - duneci-install-module https://gitlab.dune-project.org/staging/dune-typetree.git

debian:10  gcc:c++17:
  image: duneci/base:10
  script: duneci-standard-test
  variables: {DUNECI_OPTS: /duneci/opts.gcc.c++17}
  tags: [duneci]

debian:9--gcc:
  image: duneci/base:9
  script: duneci-standard-test
  tags: [duneci]

debian:9--clang:
  image: duneci/base:9
  script: duneci-standard-test
  variables: {DUNECI_OPTS: /duneci/opts.clang}
  tags: [duneci]

ubuntu:16.04--gcc:
  image: duneci/base:16.04
  script: duneci-standard-test
  tags: [duneci]

ubuntu:16.04--clang:
  image: duneci/base:16.04
  script: duneci-standard-test
  variables: {DUNECI_OPTS: /duneci/opts.clang}
  tags: [duneci]
